Bug 765223 - (GLUSTER-3491) search for a compatible sort command in configure.ac
search for a compatible sort command in configure.ac
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Rajesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-29 15:09 EDT by Anand Avati
Modified: 2015-09-01 19:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2011-08-29 15:09:15 EDT
Not all 'sort' implementations support -o which is required by glusterd in glusterd_volume_compute_cksum(). Either assert the support in configure.ac or redirect the stdout fd programatically.
Comment 1 Anand Avati 2011-09-18 23:50:08 EDT
CHANGE: http://review.gluster.com/395 (The result of sorting the volume info file has) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2011-09-19 02:27:28 EDT
CHANGE: http://review.gluster.com/453 (fixed for fd leaking. reopening of file was not needed) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.